### 5.1.45 Float

`Syntax:`
  `Float (` `)`
  `Float (` int_expression `)`
  `Float (` int_expression `,` int_expression `)`
`Type:`
  cring
`Purpose:`
  returns a coefficient ring of floating point (inexact) real number to be used in ring definitions.
`Example:`

        ring R1=Float(),(x,y),dp;
        R1;
      ==> // coefficients: Float() considered as a field
      ==> // number of vars : 2
      ==> //        block   1 : ordering dp
      ==> //                  : names    x y
      ==> //        block   2 : ordering C
        ring R2=Float(10,20),(a,b),dp;
        R2;
      ==> // coefficients: Float(10,20) considered as a field
      ==> // number of vars : 2
      ==> //        block   1 : ordering dp
      ==> //                  : names    a b
      ==> //        block   2 : ordering C

See cring; ring.

User manual for Singular version 4.4.1, 2025, generated by texi2html.